
Foreman - Bug #28838

don't seed on startup if migrations are pending

01/22/2020 02:26 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: DB migrations   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7459

  

Description

running seeds on startup could cause unexpected issues if there are pending migrations, in that case it is better to bail and inform the

user that migrations need to run.

Related issues:

Related to Foreman - Feature #28519: Allow storing if db:seed is required wit... Closed

Associated revisions

Revision 3c6b140f - 02/24/2020 01:11 PM - Tomer Brisker

Fixes #28838, #28931 - Safer seeding on initialization

Make sure that migartions have run before attempting to run seeds, to

ensure we don't get into a wierd state of the database if the app is

started before the db has been migrated.

Also, catch and log errors during seeding to prevent passanger from

failing to start if an error occurs.

History

#1 - 01/22/2020 02:26 PM - Tomer Brisker

- Related to Feature #28519: Allow storing if db:seed is required within the DB. added

#2 - 01/22/2020 04:50 PM - Tomer Brisker

- Target version set to 2.0.0

#3 - 02/23/2020 01:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7459 added

#4 - 02/24/2020 01:11 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 02/24/2020 02:01 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 3c6b140f6fff0e2104280b6ceec8aa860b5de164.

#6 - 02/26/2020 08:44 AM - Tomer Brisker

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)
